For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all automations for a project template.
      • POSTCreates a new automation for a given project template.
      • GETReturns a specific automation for a projecttemplate.
      • PUTUpdates the automation with the specified id for a given projecttemplate.
      • DELDeletes the specified automation for a given projecttemplate.
      • GETGets the actions of an automation of a project template.
      • POSTCreates a new action for an automation of a project template.
      • GETGets a specific action for an automation of a projecttemplate.
      • PUTUpdates a specifc action of an automation of a project template.
      • DELDeletes an action for an automation of a project template.
      • POSTUpdates the order of a project template automation action.
      • POSTReapplies the automation to all projects of this specific project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Automations

Updates the automation with the specified id for a given projecttemplate.

PUT
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/automations/:automationId
PUT
/api/v1/projecttemplates/:projectTemplateId/automations/:automationId
$curl -X PUT https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "enabled": true,
> "trigger": {
> "type": "task-created"
> }
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2024-01-15T09:30:00Z",
5 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2024-01-15T09:30:00Z",
7 "triggerId": "123e4567-e89b-12d3-a456-426614174000",
8 "trigger": {
9 "updatedOn": "2024-01-15T09:30:00Z",
10 "type": "task-created",
11 "values": [
12 {
13 "name": "name",
14 "value": "Design"
15 }
16 ]
17 },
18 "enabled": true,
19 "state": "string",
20 "createdByProjectTemplate": false,
21 "projectId": "123e4567-e89b-12d3-a456-426614174000",
22 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
23 "actions": [
24 {
25 "id": "123e4567-e89b-12d3-a456-426614174000",
26 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
27 "createdOn": "2024-01-15T09:30:00Z",
28 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
29 "updatedOn": "2024-01-15T09:30:00Z",
30 "type": "tag-add-task",
31 "order": 2,
32 "values": [
33 {
34 "name": "tag",
35 "value": "Design"
36 }
37 ]
38 }
39 ],
40 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
41 "createdByAutomationIdFromWorkflow": "123e4567-e89b-12d3-a456-426614174000",
42 "failed": {
43 "code": "not-found",
44 "description": "There is no matching path for this URL.",
45 "link": "https://developers.awork.com",
46 "details": [
47 "No project with the id '123' exists."
48 ],
49 "validationErrors": [
50 {
51 "property": "FirstName",
52 "message": "FirstName is required."
53 }
54 ],
55 "traceId": "a65ce5745df02af216715ff06661fb3a"
56 }
57}
Updates the specified automation for a specific projecttemplate. If the automation was created from a workflow, only the Enabled flag can be changed. <Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes the specified automation for a given projecttemplate.

Next
Built with

Updates the specified automation for a specific projecttemplate. If the automation was created from a workflow, only the Enabled flag can be changed.

Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automationIdstringRequiredformat: "uuid"
projectTemplateIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
enabledbooleanRequired
Whether the automation is enabled.
triggerobjectRequired

Response

OK
idstringformat: "uuid"
The id of the automation.
createdBystringformat: "uuid"
The id of the user who created the automation.
createdOnstringformat: "date-time"
The date the automation was created.
updatedBystringformat: "uuid"
The id of the user who updated the automation.
updatedOnstringformat: "date-time"
The date the automation was updated.
triggerIdstringformat: "uuid"
The id of the trigger which is related to the automation.
triggerobject
enabledbooleanRead-only
Whether the automation is enabled.
statestring or null
The state of the automation. See AutomationsService.DAL.Models.AutomationState for the possible values.
createdByProjectTemplateboolean
Whether the automation was created from an automation template of a project template.
projectIdstring or nullformat: "uuid"
The id of the project which is related to the automation.
projectTemplateIdstring or nullformat: "uuid"
The id of the project template which is related to the automation.
actionslist of objects or null
The actions which is related to the automation.
workflowIdstring or nullformat: "uuid"
The workflow this automation belongs to, if any.
createdByAutomationIdFromWorkflowstring or nullformat: "uuid"
The id of the workflow automation that served as the template for this automation.
failedobject
The API error response.

Errors

400
Bad Request Error